nxt.http.callers

## Class SetPhasingAssetControlCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<SetPhasingAssetControlCall>
    - - nxt.http.callers.SetPhasingAssetControlCall

-     public class SetPhasingAssetControlCall
      extends CreateTransactionCallBuilder<SetPhasingAssetControlCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SetPhasingAssetControlCall` | `asset(long asset)`
    `SetPhasingAssetControlCall` | `asset(java.lang.String asset)`
    `SetPhasingAssetControlCall` | `controlExpression(java.lang.String controlExpression)`
    `SetPhasingAssetControlCall` | `controlHolding(long controlHolding)`
    `SetPhasingAssetControlCall` | `controlHolding(java.lang.String controlHolding)`
    `SetPhasingAssetControlCall` | `controlMinBalance(long controlMinBalance)`
    `SetPhasingAssetControlCall` | `controlMinBalanceModel(byte controlMinBalanceModel)`
    `SetPhasingAssetControlCall` | `controlParams(java.lang.String controlParams)`
    `SetPhasingAssetControlCall` | `controlQuorum(long controlQuorum)`
    `SetPhasingAssetControlCall` | `controlRecipientPropertyName(java.lang.String controlRecipientPropertyName)`
    `SetPhasingAssetControlCall` | `controlRecipientPropertySetter(java.lang.String controlRecipientPropertySetter)`
    `SetPhasingAssetControlCall` | `controlRecipientPropertyValue(java.lang.String controlRecipientPropertyValue)`
    `SetPhasingAssetControlCall` | `controlSenderPropertyName(java.lang.String controlSenderPropertyName)`
    `SetPhasingAssetControlCall` | `controlSenderPropertySetter(java.lang.String controlSenderPropertySetter)`
    `SetPhasingAssetControlCall` | `controlSenderPropertyValue(java.lang.String controlSenderPropertyValue)`
    `SetPhasingAssetControlCall` | `controlVotingModel(byte controlVotingModel)`
    `SetPhasingAssetControlCall` | `controlWhitelisted(java.lang.String... controlWhitelisted)`
    `static SetPhasingAssetControlCall` | `create(int chain)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, minBundlerBalanceFXT, minBundlerFeeLimitFQT, phased, phasingExpression, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedTransaction, phasingMinBalance, phasingMinBalanceModel, phasingParams, phasingQuorum, phasingRecipientPropertyName, phasingRecipientPropertySetter, phasingRecipientPropertyValue, phasingSenderPropertyName, phasingSenderPropertySetter, phasingSenderPropertyValue, phasingSubPolls, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransaction, timestamp, voucher`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SetPhasingAssetControlCall create(int chain)

    - #### controlRecipientPropertyValue

          public SetPhasingAssetControlCall controlRecipientPropertyValue(java.lang.String controlRecipientPropertyValue)

    - #### controlQuorum

          public SetPhasingAssetControlCall controlQuorum(long controlQuorum)

    - #### controlRecipientPropertySetter

          public SetPhasingAssetControlCall controlRecipientPropertySetter(java.lang.String controlRecipientPropertySetter)

    - #### controlMinBalanceModel

          public SetPhasingAssetControlCall controlMinBalanceModel(byte controlMinBalanceModel)

    - #### controlParams

          public SetPhasingAssetControlCall controlParams(java.lang.String controlParams)

    - #### controlExpression

          public SetPhasingAssetControlCall controlExpression(java.lang.String controlExpression)

    - #### controlSenderPropertyName

          public SetPhasingAssetControlCall controlSenderPropertyName(java.lang.String controlSenderPropertyName)

    - #### controlRecipientPropertyName

          public SetPhasingAssetControlCall controlRecipientPropertyName(java.lang.String controlRecipientPropertyName)

    - #### controlHolding

          public SetPhasingAssetControlCall controlHolding(java.lang.String controlHolding)

    - #### controlHolding

          public SetPhasingAssetControlCall controlHolding(long controlHolding)

    - #### controlSenderPropertySetter

          public SetPhasingAssetControlCall controlSenderPropertySetter(java.lang.String controlSenderPropertySetter)

    - #### controlVotingModel

          public SetPhasingAssetControlCall controlVotingModel(byte controlVotingModel)

    - #### controlMinBalance

          public SetPhasingAssetControlCall controlMinBalance(long controlMinBalance)

    - #### asset

          public SetPhasingAssetControlCall asset(java.lang.String asset)

    - #### asset

          public SetPhasingAssetControlCall asset(long asset)

    - #### controlWhitelisted

          public SetPhasingAssetControlCall controlWhitelisted(java.lang.String... controlWhitelisted)

    - #### controlSenderPropertyValue

          public SetPhasingAssetControlCall controlSenderPropertyValue(java.lang.String controlSenderPropertyValue)